#ifndef StepModelLoader_H
#define StepModelLoader_H

#include <Standard_TypeDef.hxx>
#include <Standard_Handle.hxx>

#include <istream>

class Standard_ArrayStreamBuffer;
class TDocStd_Document;

class StepModelLoader
{
private:
    Standard_CString _fileName;
    std::istream _modelFileStream;
public:
    StepModelLoader(const Standard_CString fileName, const Standard_ArrayStreamBuffer& modelFileStream);
    ~StepModelLoader();

    Handle(TDocStd_Document) Load();
};

#endif